Subject: bug#34343: [PATCH] Make project--find-regexp-in-files work with remote files

From: Dmitry Gutov <[email-masked]>
Date: Fri, 3 Jan 2020 03:57:27 +0300

On 02.01.2020 12:48, Michael Albinus wrote:
> Yes, file-local-name is slow for
> remote files, and yes, it doesn't matter for single invocations. Bulk
> invocation, as you have it, will show an additional performance penalty,
> even if there is no remote execution of any command.

The unfortunate imbalance here at the moment is that piping the list of 
file names through file-local-name takes longer than the time to fetch 
all the project files, and the time to search them, combined with the 
all the necessary round-trips to the servers I have been testing at 
(where the RTT is > 200 ms). As soon as the project is at least of 
moderate size.